from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Boolean, File

Bedops_Megarow_V0_1_0 = CommandToolBuilder(tool="bedops_megarow", base_command=["bedops-megarow"], inputs=[ToolInput(tag="in_chrom", input_type=String(optional=True), prefix="--chrom", doc=InputDocumentation(doc="Jump to and process data for given <chromosome> only.")), ToolInput(tag="in_ec", input_type=Boolean(optional=True), prefix="--ec", doc=InputDocumentation(doc="Error check input files (slower).")), ToolInput(tag="in_header", input_type=Boolean(optional=True), prefix="--header", doc=InputDocumentation(doc="Accept headers (VCF, GFF, SAM, BED, WIG) in any input file.")), ToolInput(tag="in_help", input_type=Boolean(optional=True), prefix="--help-", doc=InputDocumentation(doc="<operation>   Detailed help on <operation>.\nAn example is --help-c or --help-complement")), ToolInput(tag="in_complement", input_type=Boolean(optional=True), prefix="--complement", doc=InputDocumentation(doc="[-L] File1 [File]*")), ToolInput(tag="in_difference", input_type=File(optional=True), prefix="--difference", doc=InputDocumentation(doc="File2 [File]*")), ToolInput(tag="in_element_of", input_type=Boolean(optional=True), prefix="--element-of", doc=InputDocumentation(doc="[bp | percentage] ReferenceFile File2 [File]*\nby default, -e 100% is used.  'bedops -e 1' is also popular.")), ToolInput(tag="in_intersect", input_type=File(optional=True), prefix="--intersect", doc=InputDocumentation(doc="File2 [File]*")), ToolInput(tag="in_merge", input_type=File(optional=True), prefix="--merge", doc=InputDocumentation(doc="[File]*")), ToolInput(tag="in_not_element_of", input_type=Boolean(optional=True), prefix="--not-element-of", doc=InputDocumentation(doc="[bp | percentage] ReferenceFile File2 [File]*\nby default, -n 100% is used.  'bedops -n 1' is also popular.")), ToolInput(tag="in_partition", input_type=File(optional=True), prefix="--partition", doc=InputDocumentation(doc="[File]*")), ToolInput(tag="in_symm_diff", input_type=File(optional=True), prefix="--symmdiff", doc=InputDocumentation(doc="File2 [File]*")), ToolInput(tag="in_everything", input_type=File(optional=True), prefix="--everything", doc=InputDocumentation(doc="[File]*")), ToolInput(tag="in_chop", input_type=Boolean(optional=True), prefix="--chop", doc=InputDocumentation(doc="[bp] [--stagger <nt>] [-x] File1 [File]*\nby default, -w 1 is used with no staggering.")), ToolInput(tag="in_bed_ops", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_process_flags", input_type=String(optional=True), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_operation", input_type=String(), position=2, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Bedops_Megarow_V0_1_0().translate("wdl", allow_empty_container=True)

